org.eclipse.cdt.core.dom.ast

## Interface IQualifierType

All Superinterfaces:
  Cloneable, IType

All Known Subinterfaces:
  ICQualifierType, IGPPQualifierType

    public interface IQualifierType
    extends IType

Interface used to qualify types.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType` `getType()` Returns the type that this is qualifying
`boolean` `isConst()` Returns whether this is a const type
`boolean` `isVolatile()` Returns whether this is a volatile type

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### isConst

    boolean isConst()

Returns whether this is a const type

#### isVolatile

    boolean isVolatile()

Returns whether this is a volatile type

#### getType

    IType getType()

Returns the type that this is qualifying